using System;
using System.Collections.Generic;

namespace LHDN.CRM.Models.Models
{
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;

    [Table("Outbound_Campaign")]
    public class OutboundCampaign
    {
        [Key]
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public int CampaignID { get; set; }

        [Required]
        public int ViewID { get; set; }

        [Required]
        [StringLength(200)]
        public string CampaignName { get; set; }

        public int? InteractionChannelID { get; set; }

        public int? Kategori1ID { get; set; }

        public int? Kategori2ID { get; set; }

        public int? Kategori3ID { get; set; }

        public int? EmailTemplateID { get; set; }

        [Required]
        [StringLength(255)]
        public string CreatedBy { get; set; }

        [Column(TypeName = "datetime2")]
        public DateTime CreatedDateTime { get; set; }

        [Required]
        [StringLength(255)]
        public string LastUpdatedBy { get; set; }

        [Column(TypeName = "datetime2")]
        public DateTime LastUpdatedDateTime { get; set; }
    }
}
